<?php
/**
 * corporate FSE: Block Patterns
 *
 * @since Corporate FSE 1.0
 */

/**
 * Registers pattern categories.
 *
 * @since Corporate FSE 1.0
 *
 * @return void
 */
function corporate_fse_register_pattern_category() {

	$patterns = array();

	$block_pattern_categories = array(
		'corporate-fse' => array( 'label' => __( 'Corporate FSE', 'corporate-fse' ) )
	);

	$block_pattern_categories = apply_filters( 'corporate_fse_block_pattern_categories', $block_pattern_categories );

	foreach ( $block_pattern_categories as $name => $properties ) {
		if ( ! WP_Block_Pattern_Categories_Registry::get_instance()->is_registered( $name ) ) {
			register_block_pattern_category( $name, $properties );
		}
	}
}
add_action( 'init', 'corporate_fse_register_pattern_category');
